## ros-kinetic-rbcar-pad 1.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rbcar_pad)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  robotnik_msgs
  roscpp
  sensor_msgs
  diagnostic_msgs
  diagnostic_updater
  ackermann_msgs
  std_srvs
  std_msgs
)

catkin_package(
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(rbcar_pad_node src/rbcar_pad.cpp)


add_dependencies(rbcar_pad_node rbcar_pad_generate_messages_cpp)
add_dependencies(rbcar_pad_node robotnik_msgs_generate_messages_cpp)

target_link_libraries(rbcar_pad_node
   ${catkin_LIBRARIES}
)

=== debian/changelog ===
ros-kinetic-rbcar-pad (1.0.5-1xenial) xenial; urgency=high



 -- Román Navarro <rnavarro@robotnik.es>  Tue, 12 Jul 2016 22:00:00 -0000

ros-kinetic-rbcar-pad (1.0.4-1xenial) xenial; urgency=high



 -- Román Navarro <rnavarro@robotnik.es>  Tue, 05 Jul 2016 22:00:00 -0000

ros-kinetic-rbcar-pad (1.0.3-1xenial) xenial; urgency=high

  * modified dependencies
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Mon, 04 Jul 2016 22:00:00 -0000

ros-kinetic-rbcar-pad (1.0.2-1xenial) xenial; urgency=high

  * Added dependencies
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Sun, 03 Jul 2016 22:00:00 -0000

ros-kinetic-rbcar-pad (1.0.1-1xenial) xenial; urgency=high

  * Added website
  * Modified dependencies
  * rbcar_description: changing 3d sensor position to fit with the real model
  * rbcar_pad: enabling params like max speed and steering angle
  * Adding compilation dependencies with robotnik_msgs
  * Adding new package rbcar_pad for sim and real robot
  * Contributors: RomanRobotnik, Usuario, carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Sun, 03 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rbcar-pad
Section: misc
Priority: extra
Maintainer: Román Navarro <rnavarro@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-ackermann-msgs, ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-geometry-msgs, ros-kinetic-robotnik-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: http://wiki.ros.org/rbcar_pad
Standards-Version: 3.9.2

Package: ros-kinetic-rbcar-pad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ackermann-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-geometry-msgs, ros-kinetic-robotnik-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Description: The rbcar_pad package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rbcar-pad//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
